be.fgov.ehealth.ehbox.core.v3

## Class MandateType

- java.lang.Object
- - be.fgov.ehealth.commons.core.v1.IdentifierType
  - - be.fgov.ehealth.ehbox.core.v3.MandateType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:54:40+01:00",
                 comments="JAXB RI v2.3.7")
      public class MandateType
      extends IdentifierType
      implements Serializable

  Java class for MandateType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="MandateType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:core:v1}IdentifierType">
             <sequence minOccurs="0">
               <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MandateType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the value of the name property.
    `void` | `setName(String value)` Sets the value of the name property.

    - ### Methods inherited from class be.fgov.ehealth.commons.core.v1.IdentifierType

      `getId, getSubType, getType, setId, setSubType, setType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MandateType

          public MandateType()

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPRACTICALNURSE 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.